Bug 101556 - samba should be split into samba and samba-devel
samba should be split into samba and samba-devel
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
N/A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-03 13:47 EDT by Elijah Newren
Modified: 2014-08-31 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-04 10:34:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elijah Newren 2003-08-03 13:47:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Why isn't samba split into samba and samba-devel packages.  I was searching for
a while to try to find the samba-devel package when someone pointed out to me
that the headers were in the samba package.  I don't need a samba sever, just a
client.  But to compile GNOME (specifically, gnome-vfs-extras) from cvs, I do
need libsmbclient.h.
Comment 1 Jay Fenlason 2003-08-04 10:34:07 EDT
libsmbclient.{a,h,so} was accidentally put in samba instead of samba-common in the first 
samba-3.0 package set.  I've moved it to the correct rpm and built a new rpm set for RawHide.  
I considered adding a -devel package, but the only files in it would be libsmbclient.a and 
libsmbclient.h, and it would require the samba-common package (libsmbclient needs 
/etc/samba/smb.conf), so there wouldn't be much point to it, and Samba is already split into 
too many packages already. 

Note You need to log in before you can comment on or make changes to this bug.